ML = {}
_G.ML = ML;

mAutoLootVariables = {}
ML.DefaultConfig = {
	Enabled = true,
	AutoLootBoss = false,
	AutoLootElit = true,
	AutoSell = false,
	Quality = 1,
	RollType = 3,
	InstanceLevel = 1,
	GarbageList = {},
	MaskedGarbageListVersion = 2,
	MaskedGarbageList = {},
	ExceptionsList = {},
	SellList = {},
	DonateList = {},
	GroupLoot = 1,
	GroupLootQuality = 2,
	GroupLootDelay = 10,
	PassList = {},
	GreedList = {},
	RollList = {},
	Manual = true,
	ExtraBag = false,
	BagFrames = {},
	ScrollDelta = 20,
	BagFrameX = 0,
	BagFrameY = 0,
	OpenBank = false,
	NewOnly = false,
	NewAddCount = false,
	ShowCurrencyMax = false,
	AutoGuildDonate = false,
};
ML.ShortName = 'ML';
ML.Name = 'Myaff Auto Loot';
ML.Version = '1.0.372 rc1';
ML.ListVersion = 2;
ML.tools = {};
ML.utils = {};
ML.ui = {};
ML.events = {};
ML.eb = {};
ML.Debug = true;
ML.BagItems = {};
ML.GoodsItems = {};
ML.Qualities = {
	[0] = "|cff" .. "FFFFFFCommon|r",
	[1] = "|cff" .. "00FF00" .. ITEM_QUALITY1_DESC .. "|r",
	[2] = "|cff" .. "0072BC" .. ITEM_QUALITY2_DESC .. "|r",
	[3] = "|cff" .. "C805F8" .. ITEM_QUALITY3_DESC .. "|r",
	[4] = "|cff" .. "F68E56" .. ITEM_QUALITY4_DESC .. "|r",
	[5] = "|cff" .. "A37D50" .. ITEM_QUALITY5_DESC .. "|r",
};
ML.RollType = {
	[0] = "|cff" .. "FFFFFFCommon|r",
	[1] = "|cff" .. "00FF00" .. ITEM_QUALITY1_DESC .. "|r",
	[2] = "|cff" .. "0072BC" .. ITEM_QUALITY2_DESC .. "|r",
	[3] = "|cff" .. "C805F8" .. ITEM_QUALITY3_DESC .. "|r",
	[4] = "|cff" .. "F68E56" .. ITEM_QUALITY4_DESC .. "|r",
	[5] = "|cff" .. "A37D50" .. ITEM_QUALITY5_DESC .. "|r",
	[100] = "|cffff0000" .. LOOT_FREE_FOR_ALL .. "|r",
	[101] = "|cffff8000" .. LOOT_MASTER_LOOTER .. "|r",
};
ML.InstanceLevel = {
	[0] = "|cff009900Просто|r",
	[1] = "|cff999900Нормально|r",
	[2] = "|cff990000Сложно|r",
};
ML.IL = {
	[0] = "easy",
	[1] = "normal",
	[2] = "hard",
};
ML.consts = {
	["Enable"] = "|cff00DD00Включен|r",
	["Disable"] = "|cffDD0000Выключен|r",
};
ML.cc = "|cffFCFC7D"; -- Chat Color
ML.Flags = {
	["GarbageSelection"] = false,
	["SellListSelection"] = false,
	["DonateListSelection"] = false,
};
ML.GroupLoot = {
	[0] = "|cffFFFFFFНичего|r",
	[1] = "|cff009900Жадность|r",
	[2] = "|cff990000Требовать|r",
	[3] = "|cff009999Отказаться|r",
};
ML.GL = {
	[0] = "",
	[1] = "greed",
	[2] = "roll",
	[3] = "pass",
};
ML.ConfigFrame = {
	["Tabs"] = {
		[1] = {
			["Size"] = 20,
			["Name"] = "Основные",
		},
		[2] = {
			["Size"] = 20,
			["Name"] = "Маски дропа",
		},
		[3] = {
			["Size"] = 20,
			["Name"] = "Исключения",
		},
	},
};
ML.IDRanges = {
	[1] = {
		["title"] = "Все",
		["min"] = 100000,
		["max"] = 999999,
	},
	[2] = {
		["title"] = "Предметы",
		["min"] = 200000,
		["max"] = 299999,
	},
	[3] = {
		["title"] = "Карты монстров",
		["min"] = 770000,
		["max"] = 772999,
	},
	[4] = {
		["title"] = "Рецепты",
		["min"] = 550000,
		["max"] = 559999,
	},
	[5] = {
		["title"] = "Руны",
		["min"] = 520000,
		["max"] = 529999,
	},
};
ML.stRanges = {
	[1] = {
		["min"] = 1,
		["max"] = 30,
	},
	[2] = {
		["min"] = 31,
		["max"] = 60,
	},
	[3] = {
		["min"] = 61,
		["max"] = 90,
	},
	[4] = {
		["min"] = 91,
		["max"] = 120,
	},
	[5] = {
		["min"] = 121,
		["max"] = 150,
	},
	[6] = {
		["min"] = 151,
		["max"] = 180,
	},
};


function ML.Message( text )
	local msg = "|cffFFFFFF[|cff00dd00" .. ML.ShortName .. "|cffFFFFFF]: |cffFCFC7D" .. tostring( text ) .. "|r";

	for n=1,10 do
		getglobal("ChatFrame"..n):AddMessage( msg, _G.ChatTypeInfo["SYSTEM"].r,  _G.ChatTypeInfo["SYSTEM"].g,  _G.ChatTypeInfo["SYSTEM"].b );
	end;
	if( MUIChatFrame ~= nil )then
		MUIChatFrameChat1:AddMessage( msg );
	end;
end;

function ML.OnLoad(this)
	this:RegisterEvent("VARIABLES_LOADED");
	this:RegisterEvent("SAVE_VARIABLES");
	this:RegisterEvent("STORE_OPEN");
	this:RegisterEvent("BOOTY_SHOW");
	this:RegisterEvent("PARTY_MEMBER_CHANGED");
	this:RegisterEvent("CHAT_MSG_SYSTEM_GET");
	this:RegisterEvent("STORE_OPEN");
end;

--/run dofile("Interface/AddOns/mAutoBuff/code/main.lua");